My version of ruby is
           ruby 1.8.3 (2005-09-21) [i386-mswin32]
Compiled myself

Yours?